Fundraising
Assign a giving-anniversary owner
Assigns a tenant-owned staff user as the manual owner; omit or set owner_user_id=null to clear the owner. Requires permission: donors_view; plus one of donors_manage, donations, interactions_manage, mailings_generate, mailings_manage, manage_email.
POST
/
admin
/
giving-anniversaries
/
opportunities
/
{id}
/
assign
Assign a giving-anniversary owner
curl --request POST \
--url https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner_user_id": 1,
"note": "Discuss the next update with the program team."
}
'import requests
url = "https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign"
payload = {
"owner_user_id": 1,
"note": "Discuss the next update with the program team."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner_user_id: 1, note: 'Discuss the next update with the program team.'})
};
fetch('https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'owner_user_id' => 1,
'note' => 'Discuss the next update with the program team.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign"
payload := strings.NewReader("{\n \"owner_user_id\": 1,\n \"note\": \"Discuss the next update with the program team.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owner_user_id\": 1,\n \"note\": \"Discuss the next update with the program team.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owner_user_id\": 1,\n \"note\": \"Discuss the next update with the program team.\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 42,
"client_id": 42,
"donor_id": 42,
"household_id": 42,
"subject_id": 42,
"action_contact_donor_id": 42,
"source_id": 42,
"owner_user_id": 42,
"acted_by_user_id": 42,
"dismissed_by_user_id": 42,
"subject_name": "Example",
"action_contact_name": "Example",
"donor_name": "Example",
"donor_email": "Example",
"work_item_type": "Example",
"milestone_label": "Example",
"source_type": "Example",
"source_currency": "Example",
"source_designation": "Example",
"source_program": "Example",
"last_action_note": "Example",
"subject_type": "donor",
"milestone_type": "first_gift",
"status": "due",
"source_date": "2026-10-20",
"anniversary_date": "2026-10-20",
"last_attributed_gift_date": "2026-10-20",
"anniversary_year": 3,
"years_giving": 3,
"giving_gap_years": 3,
"source_amount": 25,
"source_snapshot": {},
"evidence": {},
"readiness": {
"contact_required": true,
"email_ready": true,
"sms_ready": true,
"mailing_ready": true,
"calendar_ready": true,
"do_not_email": true,
"email": "Example",
"phone": "Example",
"reasons": [
"Missing complete mailing address"
]
},
"suggested_actions": [
{
"key": "Example",
"label": "Example",
"enabled": true,
"disabled_reason": "Example"
}
],
"lifecycle": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
],
"detected_at": "2026-10-20T12:00:00Z",
"acted_at": "2026-10-20T12:00:00Z",
"snoozed_until": "2026-10-20T12:00:00Z",
"dismissed_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"events": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Id in the current organization.
Body
application/json
Validated request fields for this operation.
⌘I
Assign a giving-anniversary owner
curl --request POST \
--url https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner_user_id": 1,
"note": "Discuss the next update with the program team."
}
'import requests
url = "https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign"
payload = {
"owner_user_id": 1,
"note": "Discuss the next update with the program team."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner_user_id: 1, note: 'Discuss the next update with the program team.'})
};
fetch('https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'owner_user_id' => 1,
'note' => 'Discuss the next update with the program team.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign"
payload := strings.NewReader("{\n \"owner_user_id\": 1,\n \"note\": \"Discuss the next update with the program team.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owner_user_id\": 1,\n \"note\": \"Discuss the next update with the program team.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/giving-anniversaries/opportunities/{id}/assign")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owner_user_id\": 1,\n \"note\": \"Discuss the next update with the program team.\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 42,
"client_id": 42,
"donor_id": 42,
"household_id": 42,
"subject_id": 42,
"action_contact_donor_id": 42,
"source_id": 42,
"owner_user_id": 42,
"acted_by_user_id": 42,
"dismissed_by_user_id": 42,
"subject_name": "Example",
"action_contact_name": "Example",
"donor_name": "Example",
"donor_email": "Example",
"work_item_type": "Example",
"milestone_label": "Example",
"source_type": "Example",
"source_currency": "Example",
"source_designation": "Example",
"source_program": "Example",
"last_action_note": "Example",
"subject_type": "donor",
"milestone_type": "first_gift",
"status": "due",
"source_date": "2026-10-20",
"anniversary_date": "2026-10-20",
"last_attributed_gift_date": "2026-10-20",
"anniversary_year": 3,
"years_giving": 3,
"giving_gap_years": 3,
"source_amount": 25,
"source_snapshot": {},
"evidence": {},
"readiness": {
"contact_required": true,
"email_ready": true,
"sms_ready": true,
"mailing_ready": true,
"calendar_ready": true,
"do_not_email": true,
"email": "Example",
"phone": "Example",
"reasons": [
"Missing complete mailing address"
]
},
"suggested_actions": [
{
"key": "Example",
"label": "Example",
"enabled": true,
"disabled_reason": "Example"
}
],
"lifecycle": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
],
"detected_at": "2026-10-20T12:00:00Z",
"acted_at": "2026-10-20T12:00:00Z",
"snoozed_until": "2026-10-20T12:00:00Z",
"dismissed_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"events": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}